/**
 * @author       Richard Davey <rich@photonstorm.com>
 * @copyright    2013-2023 Photon Storm Ltd.
 * @license      {@link https://opensource.org/licenses/MIT|MIT License}
 */

/**
 * @namespace Phaser.Loader.FileTypes
 */

module.exports = {

    AnimationJSONFile: require('./AnimationJSONFile'),
    AsepriteFile: require('./AsepriteFile'),
    AtlasJSONFile: require('./AtlasJSONFile'),
    AtlasXMLFile: require('./AtlasXMLFile'),
    AudioFile: require('./AudioFile'),
    AudioSpriteFile: require('./AudioSpriteFile'),
    BinaryFile: require('./BinaryFile'),
    BitmapFontFile: require('./BitmapFontFile'),
    CompressedTextureFile: require('./CompressedTextureFile'),
    CSSFile: require('./CSSFile'),
    GLSLFile: require('./GLSLFile'),
    HTML5AudioFile: require('./HTML5AudioFile'),
    HTMLFile: require('./HTMLFile'),
    HTMLTextureFile: require('./HTMLTextureFile'),
    ImageFile: require('./ImageFile'),
    JSONFile: require('./JSONFile'),
    MultiAtlasFile: require('./MultiAtlasFile'),
    MultiScriptFile: require('./MultiScriptFile'),
    OBJFile: require('./OBJFile'),
    PackFile: require('./PackFile'),
    PluginFile: require('./PluginFile'),
    SceneFile: require('./SceneFile'),
    ScenePluginFile: require('./ScenePluginFile'),
    ScriptFile: require('./ScriptFile'),
    SpriteSheetFile: require('./SpriteSheetFile'),
    SVGFile: require('./SVGFile'),
    TextFile: require('./TextFile'),
    TilemapCSVFile: require('./TilemapCSVFile'),
    TilemapImpactFile: require('./TilemapImpactFile'),
    TilemapJSONFile: require('./TilemapJSONFile'),
    UnityAtlasFile: require('./UnityAtlasFile'),
    VideoFile: require('./VideoFile'),
    XMLFile: require('./XMLFile')

};
