/**
 * @typedef {object} Phaser.Types.Physics.Matter.MatterConstraintRenderConfig
 * @since 3.22.0
 *              
 * @property {boolean} [visible=true] - Should this constraint be rendered by the Debug Renderer?
 * @property {boolean} [anchors=true] - If this constraint has anchors, should they be rendered? Pin constraints never have anchors.
 * @property {number} [lineColor] - The color value of the line stroke when rendering this constraint.
 * @property {number} [lineOpacity] - The opacity of the line when rendering this constraint, a value between 0 and 1.
 * @property {number} [lineThickness] - If rendering lines, the thickness of the line.
 * @property {number} [pinSize=4] - The size of the circles drawn when rendering pin constraints.
 * @property {number} [anchorSize=4] - The size of the circles drawn as the constraint anchors.
 * @property {number} [anchorColor=0xefefef] - The color value of constraint anchors.
 */
