#define SHADER_NAME BLUR_LOW_FS

precision mediump float;

uniform sampler2D uMainSampler;
uniform vec2 resolution;
uniform float strength;
uniform vec3 color;

varying vec2 outTexCoord;

void main ()
{
    vec2 uv = outTexCoord;

    vec4 col = vec4(0.0);

    vec2 offset = vec2(1.333) * strength;

    col += texture2D(uMainSampler, uv) * 0.29411764705882354;
    col += texture2D(uMainSampler, uv + (offset / resolution)) * 0.35294117647058826;
    col += texture2D(uMainSampler, uv - (offset / resolution)) * 0.35294117647058826;

    gl_FragColor = col * vec4(color, 1.0);
}
