/**
 * @typedef {object} Phaser.Types.Tilemaps.ObjectLayerConfig
 * @since 3.0.0
 * 
 * @property {string} [name='object layer'] - The name of the Object Layer.
 * @property {number} [opacity=1] - The opacity of the layer, between 0 and 1.
 * @property {any} [properties] - The custom properties defined on the Object Layer, keyed by their name.
 * @property {any} [propertytypes] - The type of each custom property defined on the Object Layer, keyed by its name.
 * @property {string} [type='objectgroup'] - The type of the layer, which should be `objectgroup`.
 * @property {boolean} [visible=true] - Whether the layer is shown (`true`) or hidden (`false`).
 * @property {any[]} [objects] - An array of all objects on this Object Layer.
 */
